package llc.arma.ble.domain.common

sealed class ProgressState<out T> {

    object Indeterminate : ProgressState<Nothing>()

    data class Progress(
        val value: Float
    ) : ProgressState<Nothing>()

    data class Finished<T>(
        val data: T
    ) : ProgressState<T>()

}